Package dev.plex.menu

# Class ToggleMenu

java.lang.Object
dev.plex.util.menu.AbstractMenu
dev.plex.menu.ToggleMenu

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class ToggleMenu extends AbstractMenu implements PlexBase

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<org.bukkit.inventory.Inventory>`
`inventories`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`ToggleMenu()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrentInventoryIndex(org.bukkit.inventory.Inventory inventory)`
`private boolean`
`isValidInventory(org.bukkit.inventory.Inventory inventory)`
`void`
`onClick(org.bukkit.event.inventory.InventoryClickEvent event)`
`void`
`openInv(org.bukkit.entity.Player player, int index)`
`private void`
`resetDropsItem(org.bukkit.inventory.Inventory inventory)`
`private void`
`resetExplosionItem(org.bukkit.inventory.Inventory inventory)`
`private void`
`resetFluidspreadItem(org.bukkit.inventory.Inventory inventory)`
`private void`
`resetRedstoneItem(org.bukkit.inventory.Inventory inventory)`

### Methods inherited from class dev.plex.util.menu.AbstractMenu

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### inventories

private final List<org.bukkit.inventory.Inventory> inventories

## Constructor Details

### ToggleMenu

public ToggleMenu()

## Method Details

### openInv

public void openInv(org.bukkit.entity.Player player, int index)

### onClick

public void onClick(org.bukkit.event.inventory.InventoryClickEvent event)

### getCurrentInventoryIndex

public int getCurrentInventoryIndex(org.bukkit.inventory.Inventory inventory)

### isValidInventory

private boolean isValidInventory(org.bukkit.inventory.Inventory inventory)

### resetExplosionItem

private void resetExplosionItem(org.bukkit.inventory.Inventory inventory)

### resetFluidspreadItem

private void resetFluidspreadItem(org.bukkit.inventory.Inventory inventory)

### resetDropsItem

private void resetDropsItem(org.bukkit.inventory.Inventory inventory)

### resetRedstoneItem

private void resetRedstoneItem(org.bukkit.inventory.Inventory inventory)